nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::ICompressedMediaPacket Class Referenceabstract

`#include <i_compressed_media_packet.h>`

Inheritance diagram for nx::sdk::analytics::ICompressedMediaPacket:

## Public Types
enum | MediaFlags : uint32_t { none = 0, keyFrame = 1 << 0, all = UINT32_MAX }

## Public Member Functions
virtual const char * | codec () const =0
virtual const char * | data () const =0
virtual int | dataSize () const =0
Ptr< const IMediaContext > | context () const
virtual MediaFlags | flags () const =0
Public Member Functions inherited from nx::sdk::Interface< ICompressedMediaPacket, IDataPacket0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual const IMediaContext * | getContext () const =0
Protected Member Functions inherited from nx::sdk::Interface< ICompressedMediaPacket, IDataPacket0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

Packet containing compressed media data (audio or video).

## Member Function Documentation

## ◆ codec()

virtual const char* nx::sdk::analytics::ICompressedMediaPacket::codec | ( |  | ) | const
| pure virtual

Returns
  Null-terminated ASCII string containing the MIME type corresponding to the packet data compression. For the video data, the following MIME types are available:
  - "video/h264" for H264 streams
  - "video/hevc" for H265/HEVC streams
  - "video/mpeg4" for MPEG-4 streams
  - "video/mjpeg" for MJPEG streams

For the metadata, check the Onvif documentation.

## ◆ context()

Ptr<const IMediaContext> nx::sdk::analytics::ICompressedMediaPacket::context | ( |  | ) | const
| inline

Returns
  Pointer to the codec context, or null if not available.

## ◆ data()

virtual const char* nx::sdk::analytics::ICompressedMediaPacket::data | ( |  | ) | const
| pure virtual

Returns
  Pointer to the compressed data.

## ◆ dataSize()

virtual int nx::sdk::analytics::ICompressedMediaPacket::dataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the compressed data in bytes.

## ◆ flags()

virtual MediaFlags nx::sdk::analytics::ICompressedMediaPacket::flags | ( |  | ) | const
| pure virtual

Returns
  Packet media flags.

## ◆ getContext()

virtual const IMediaContext* nx::sdk::analytics::ICompressedMediaPacket::getContext | ( |  | ) | const
| protectedpure virtual

Called by context()

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_compressed_media_packet.h